Skip to content

Read the C2PA credential embedded in an image

POST
/mc4p/credential-reads
curl --request POST \
--url https://api.mintall.ai/api/v1/mc4p/credential-reads \
--header 'Content-Type: application/json' \
--data '{ "image_url": "example" }'

Fetch the image at image_url, read the C2PA manifest embedded in its bytes, and return a summary of selected fields from it.

It describes the image file only. To check the product page, use POST /mc4p/page-checks.

Media typeapplication/json
CredentialReadRequest
object
image_url
required
Image Url
string
<= 2048 characters
Examplegenerated
{
"image_url": "example"
}

Successful Response

Media typeapplication/json
CredentialReadResponse
object
scope
Scope
string
default: image_bytes
Allowed value: image_bytes
verdict
required
Verdict
string
Allowed values: credential_present credential_invalid no_credential image_fetch_failed not_an_image
requested_url
required
Requested Url
string
final_url
Any of:
string
media_type
Any of:
string
findings
Findings
Array<string>
default:
embedded_credential
required
EmbeddedCredentialResponse
object
present
required
Present
boolean
active_manifest
Any of:
string
claim_generator
Any of:
string
signing_time
Any of:
string
signer
Any of:
SignerResponse
object
issuer
Any of:
string
common_name
Any of:
string
assertion_labels
Assertion Labels
Array<string>
default:
assertions_truncated
Assertions Truncated
boolean
blockchain
Any of:
BlockchainResponse
object
name
Any of:
string
network
Any of:
string
chain_id
Any of:
string
token_id
Any of:
string
transaction_hash
Any of:
string
certificate_time
Any of:
string
explorer_url
Any of:
string
Example
{
"scope": "image_bytes",
"verdict": "credential_present",
"findings": [],
"embedded_credential": {
"assertion_labels": [],
"assertions_truncated": false
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}

Credential read rate limit reached.

The credential could not be extracted.

Too many reads in flight. Retry after a few seconds.